<?php namespace App\ViewModels\Medicamento\MedicamentoDetailsViewModel;


use App\Utils\Builder;

class MedicamentoDetailsViewModelBuilder implements Builder
{
    protected $id;
    protected $nome;
    protected $posologia;
    protected $quantidade;
    protected $id_clinica;

    public function setId($id)
    {
        $this->id = $id;
        return $this;
    }

    public function setNome($nome)
    {
        $this->nome = $nome;
        return $this;
    }

    public function setPosologia($posologia)
    {
        $this->posologia = $posologia;
        return $this;
    }

    public function setQuantidade($quantidade)
    {
        $this->quantidade = $quantidade;
        return $this;
    }

    public function setIdClinica($id_clinica)
    {
        $this->id_clinica = $id_clinica;
        return $this;
    }


    public function build() : MedicamentoDetailsViewModel
    {
        $procedimento_details_vm = new MedicamentoDetailsViewModel();
        $procedimento_details_vm->setId($this->id);
        $procedimento_details_vm->setNome($this->nome);
        $procedimento_details_vm->setQuantidade($this->quantidade);
        $procedimento_details_vm->setPosologia($this->posologia);
        $procedimento_details_vm->setIdClinica($this->id_clinica);
        return $procedimento_details_vm;
    }


}